# Class CompositorParameter

java.lang.Object
uk.ac.starlink.task.Parameter<Compositor>
uk.ac.starlink.ttools.plot2.task.CompositorParameter

public class CompositorParameter extends uk.ac.starlink.task.Parameter<Compositor>
Parameter for selecting a Compositor. Currently only allows selection by string value of Boost compostors.

Since:
  4 Sep 2014
Author:
  Mark Taylor

## Field Summary

### Fields inherited from class uk.ac.starlink.task.Parameter

`BY_NAME`

## Constructor Summary

Constructors
Constructor
Description
`CompositorParameter(String name)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`objectToString(uk.ac.starlink.task.Environment env, Compositor compositor)`
`Compositor`
`stringToObject(uk.ac.starlink.task.Environment env, String sval)`

### Methods inherited from class uk.ac.starlink.task.Parameter

`clearValue, getDescription, getName, getPosition, getPreferExplicit, getPrompt, getStringDefault, getUsage, getValueClass, isNullPermitted, objectValue, setDescription, setDescription, setName, setNullPermitted, setPosition, setPreferExplicit, setPrompt, setStringDefault, setUsage, setValue, setValueFromObject, setValueFromString, stringValue, toArray, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CompositorParameter

public CompositorParameter(String name)
Constructor.

Parameters:
  `name` - parameter name

## Method Details

### stringToObject

public Compositor stringToObject(uk.ac.starlink.task.Environment env, String sval) throws uk.ac.starlink.task.TaskException

Specified by:
  `stringToObject` in class `uk.ac.starlink.task.Parameter<Compositor>`
Throws:
  `uk.ac.starlink.task.TaskException`

### objectToString

public String objectToString(uk.ac.starlink.task.Environment env, Compositor compositor)

Overrides:
  `objectToString` in class `uk.ac.starlink.task.Parameter<Compositor>`